/**
 * @file lv_test.h
 *
 */

#ifndef LV_TEST_H
#define LV_TEST_H

#ifdef __cplusplus
extern "C" {
#endif

/*********************
 *      INCLUDES
 *********************/

#include "lv_ex_conf.h"



#if LV_USE_TESTS


#include "lv_examples.h"

#include "lv_test_obj.h"

#include "lv_test_arc.h"
#include "lv_test_bar.h"
#include "lv_test_btn.h"
#include "lv_test_btnm.h"
#include "lv_test_cb.h"
#include "lv_test_canvas.h"
#include "lv_test_chart.h"
#include "lv_test_cont.h"
#include "lv_test_ddlist.h"
#include "lv_test_gauge.h"
#include "lv_test_img.h"
#include "lv_test_imgbtn.h"
#include "lv_test_kb.h"
#include "lv_test_label.h"
#include "lv_test_led.h"
#include "lv_test_line.h"
#include "lv_test_list.h"
#include "lv_test_lmeter.h"
#include "lv_test_mbox.h"
#include "lv_test_page.h"
#include "lv_test_preload.h"
#include "lv_test_roller.h"
#include "lv_test_slider.h"
#include "lv_test_sw.h"
#include "lv_test_ta.h"
#include "lv_test_table.h"
#include "lv_test_tabview.h"
#include "lv_test_tileview.h"
#include "lv_test_win.h"

#include "lv_test_theme_1.h"
#include "lv_test_theme_2.h"

#include "lv_test_group.h"

#include "lv_test_stress.h"

/*********************
 *      DEFINES
 *********************/

/**********************
 *      TYPEDEFS
 **********************/

/**********************
 * GLOBAL PROTOTYPES
 **********************/

/**********************
 *      MACROS
 **********************/

#endif /* LV_USE_TESTS */

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /*LV_TEST_H*/
